org.richfaces.fragment.tabPanel

## Class RichFacesTabPanel

- java.lang.Object
- - org.richfaces.fragment.switchable.AbstractSwitchableComponent<RichFacesTab>
  - - org.richfaces.fragment.tabPanel.RichFacesTabPanel

- All Implemented Interfaces:
    AdvancedInteractions<AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions>, AdvancedVisibleComponentIteractions<AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions>, SwitchableComponent<RichFacesTab>, TabPanel<RichFacesTab>

      public class RichFacesTabPanel
      extends AbstractSwitchableComponent<RichFacesTab>
      implements TabPanel<RichFacesTab>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesTabPanel.AdvancedTabPanelInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.switchable.AbstractSwitchableComponent

      `AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesTabPanel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesTabPanel.AdvancedTabPanelInteractions` | `advanced()`
    `int` | `getNumberOfTabs()` Gets the number of tabs, the building blocks of the tabPanel component.

    - ### Methods inherited from class org.richfaces.fragment.switchable.AbstractSwitchableComponent

      `switchTo, switchTo, switchTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.switchable.SwitchableComponent

      `switchTo, switchTo, switchTo`

- - ### Constructor Detail

    - #### RichFacesTabPanel

          public RichFacesTabPanel()

  - ### Method Detail

    - #### advanced

          public RichFacesTabPanel.AdvancedTabPanelInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions>`

    - #### getNumberOfTabs

          public int getNumberOfTabs()

      Description copied from interface: `TabPanel`
      Gets the number of tabs, the building blocks of the tabPanel component.
      Specified by:
        `getNumberOfTabs` in interface `TabPanel<RichFacesTab>`
      Returns:
        Number of panels which can be switched among.

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.